import eleventyNavigationPlugin from "@11ty/eleventy-navigation";
import markdownIt from "markdown-it";
import markdownItFootnote from "markdown-it-footnote";
import markdownItAnchor from "markdown-it-anchor";

const MARKDOWN_OPTIONS = {
  html: true,
  breaks: true,
  linkify: true,
  typographer: true,
};

const md = new markdownIt(MARKDOWN_OPTIONS)
  .use(markdownItFootnote)
  .use(markdownItAnchor);

export default function (eleventyConfig) {
  // Libraries
  eleventyConfig.setLibrary("md", md);

  // Plugins
  eleventyConfig.addPlugin(eleventyNavigationPlugin);

  // Passthrough copies
  eleventyConfig.addPassthroughCopy({ "./src/assets": "assets" });
  eleventyConfig.addWatchTarget("./src/assets/css");

  return {
    dir: {
      input: "src",
      output: "_site",
    },
  };
}
